/***********************************************************************/
/** @name drive.h 
    @author Birgit Graf, UWA, 1998
*/
/***********************************************************************/

/*@{*/

/** Init VW interface.
 */
int InitDrive();

/** Change parameters for driving.
 */
void set_drv_parameters();

/** Print robot position.
    Print x- and y-coordiantes in cm and orientation in degrees on LCD.
*/
void print_pos();

/** Set robot coordinates.
    Set robots x and y positions. (0,0) = middle of own goal,
    looking towards opponents goal, y goes positive to left,
    x positive forwards, angle is positive to right, negative to left.
*/
void set_coordinates();

/** Move GOALKEEPER robot and output text (drive status) on LCD.
    Activate robot movement according to flags end_flag,
    obstacle_flag, got_ball_flag and see_ball_flag, concerning
    different priorities.
*/
void PPdrive_goal();

/** Move FIELD PLAYER robot and output text (drive status) on LCD.
    Activate robot movement according to flags end_flag,
    obstacle_flag, got_ball_flag and see_ball_flag, concerning
    different priorities.
*/
void PPdrive_field();


/*@}*/
